<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmLicenseType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmLicenseType Enumeration

Visual Basic
C#
C++/CLI
Types of license types, which are used in struct EdmLicense.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmLicenseType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmLicenseType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmLicenseType : public System.Enum

# Members

Member | Description
--- | ---
EdmLic_Contributor | 2 = Contributor and web client license
EdmLic_Editor | 1 = Editor license
EdmLic_Processor | 4 = Processor license
EdmLic_Viewer | 3 = Viewer (read-only) license

# Remarks

See the SOLIDWORKS PDM Professional client Help file for more information about what you can or cannot do with respective license type.

# See Also

####

EPDM.Interop.epdm Namespace